### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-menu/ecl-menu/ecl-menu.component.ts`

### Extends

`ECLBaseDirective`

### Implements

`OnInit` `AfterContentInit` `OnDestroy`

### Metadata

selector | `ecl-menu`
styles | `:host { display: block; }`
templateUrl | `./ecl-menu.component.html`

### Index

###### Properties

- eclRootMenuItems
- isHamburgerMenuOpened
- isMenuHidden
- isMobileBreakpoint

###### Methods

- keyEvent
- onClickOutsideMenu
- onMenuBackClick
- onMenuCloseClick
- onMenuOpenClick
- onOverlayClick
- onSwipeLeft
- onSwipeRight
- getCssClasses

###### Inputs

- group
- class
- e2eAttr

###### Outputs

- menuItemSelect

###### HostBindings

- attr.aria-expanded
- class
- class.ecl-menu--forced-close
- class.ecl-menu--forced-mobile

###### HostListeners

- keydown

###### Accessors

- cssClasses
- isMenuExpandedInMobile

### Constructor

`constructor(differs: IterableDiffers, cdkBreakpointObserver: BreakpointObserver)`

Parameters :

Name | Type | Optional
differs | `IterableDiffers` | No
cdkBreakpointObserver | `BreakpointObserver` | No

### Inputs

group
Type : `string`
Default value : `'1'`

class
Type : `string`

e2eAttr
Type : `any`

### Outputs

menuItemSelect
Type : `EventEmitter`

### HostBindings

attr.aria-expanded
Type : `boolean`
Default value : `false`

class
Type : `any`

class.ecl-menu--forced-close
Type : `boolean`
Default value : `false`

class.ecl-menu--forced-mobile
Type : `boolean`
Default value : `false`

### HostListeners

keydown
Arguments : `'$event'`
`keydown(event: KeyboardEvent)`

### Methods

keyEvent
`keyEvent(event: KeyboardEvent)`
Decorators : `@HostListener('keydown', ['$event'])`

Parameters :

Name | Type | Optional
event | `KeyboardEvent` | No

Returns : `void`

onClickOutsideMenu
`onClickOutsideMenu(evt: any)`

Parameters :

Name | Type | Optional
evt | `any` | No

Returns : `void`

onMenuBackClick
`onMenuBackClick(evt: MouseEvent)`

Parameters :

Name | Type | Optional
evt | `MouseEvent` | No

Returns : `void`

onMenuCloseClick
`onMenuCloseClick(evt: MouseEvent)`

Parameters :

Name | Type | Optional
evt | `MouseEvent` | No

Returns : `void`

onMenuOpenClick
`onMenuOpenClick(evt: MouseEvent)`

Parameters :

Name | Type | Optional
evt | `MouseEvent` | No

Returns : `void`

onOverlayClick
`onOverlayClick(evt: MouseEvent)`

Parameters :

Name | Type | Optional
evt | `MouseEvent` | No

Returns : `void`

onSwipeLeft
`onSwipeLeft(evt)`

Parameters :

Name | Optional
evt | No

Returns : `void`

onSwipeRight
`onSwipeRight(evt)`

Parameters :

Name | Optional
evt | No

Returns : `void`

getCssClasses
`getCssClasses(rootClass: string)`

Parameters :

Name | Type | Optional
rootClass | `string` | No

Returns : `string`

### Properties

eclRootMenuItems
Type : `QueryList<EclMenuItemComponent>`
Decorators : `@ContentChildren(EclMenuItemComponent)`

isHamburgerMenuOpened
Type : `boolean`
Default value : `false`
Decorators : `@HostBinding('attr.aria-expanded')`

isMenuHidden
Type : `boolean`
Default value : `false`
Decorators : `@HostBinding('class.ecl-menu--forced-close')`

isMobileBreakpoint
Type : `boolean`
Default value : `false`
Decorators : `@HostBinding('class.ecl-menu--forced-mobile')`

### Accessors

cssClasses
get `cssClasses()`

isMenuExpandedInMobile
get `isMenuExpandedInMobile()`

# results matching ""

# No results matching ""